pluggo stopped working!


    Feb 07 2009 | 3:00 am
    Yikes!
    I'm moving from Digital Performer (5.1.3) to Logic Pro 8 on my Intel MacBook, and I thought "I'll try some snazzy Pluggo plug-ins". I then get a window telling me:
    Error -- Pluggo plugin could not be loaded!
    Loading the Pluggo plugin failed. Try running the Pluggo AU Scan application to make sure that the Pluggo Audio Unit is up to date with any possible recent changes made to your Pluggo collection.
    So I run the AU scan, all seems happy, and I get the same error. The audio units manager window shows all the pluggos there, but they sure don't load.
    Then I go back to DP5, and I get the same error! Honest, I haven't touched any pluggo plugin-ly stuff! It was all working fine (under DP5 at least) not too long ago. The AU scan and initial audio unit tests in both apps show no problems.
    OSX 10.5.6, Pluggo 3.6.1. I have both Max 4.6.3 and 5.0.5 installed. What have I done? Can't find anything with some quick cycling74 archive searches...

    • Feb 07 2009 | 3:31 am
      Aha --
      I found the problem. I had renamed my MaxAudioAPI.framework and MaxAPI.framework bundles (and the relevant parts down inside) to MaxAudioAPI-4.x.framework and MaxAPI-4.x.framework to allow me to do development work on both 4.x and 5.x externals. Poor ole pluggo wasn't able to find the libs to load. Argle.
      On Feb 6, 2009, at 10:00 PM, Brad Garton wrote:
      > Yikes! > > I'm moving from Digital Performer (5.1.3) to Logic Pro 8 on my Intel > MacBook, and I thought "I'll try some snazzy Pluggo plug-ins". I > then get a window telling me: > > Error -- Pluggo plugin could not be loaded! > > Loading the Pluggo plugin failed. > Try running the Pluggo AU Scan application to make > sure that the Pluggo Audio Unit is up to date with > any possible recent changes made to your Pluggo > collection. > > So I run the AU scan, all seems happy, and I get the same error. > The audio units manager window shows all the pluggos there, but they > sure don't load. > > Then I go back to DP5, and I get the same error! Honest, I haven't > touched any pluggo plugin-ly stuff! It was all working fine (under > DP5 at least) not too long ago. The AU scan and initial audio unit > tests in both apps show no problems. > > OSX 10.5.6, Pluggo 3.6.1. I have both Max 4.6.3 and 5.0.5 > installed. What have I done? Can't find anything with some quick > cycling74 archive searches... > > brad > http://music.columbia.edu/~brad